package ahorcado;

/**
 *
 * @author Andrés Mella Romero
 */
public class Ahorcado {

    //Caracter para masking
    public final static char MASK_CHAR = '*';
    //Palabra para adivinar
    private String palabra;

    //método que obtiene la palabra
    public String getPalabra() {
        return palabra;
    }

    //método que establece la palabra
    public void setPalabra(String palabra) {
        this.palabra = palabra;
    }

    //metodo que descubre nuevos caracteres
    public String getSecret(String palabraDescubierta, char caracter) {

        //inicialmente no hemos descubierto la palabra, asi que hay que construir 
        //una cadena con todos los caracteres * (masking)
        if (null == palabraDescubierta) {

            //Contruimos un StringBuilder para ir agregando *
            StringBuilder sb = new StringBuilder();

            //por cada caracter en la palabra original, agregar un *
            for (int i = 0; i < palabra.length(); i++) {
                sb.append(MASK_CHAR);
            }

            //regresar el string armado en el StringBuilder
            return sb.toString();

        }

        //Así que... ya tenemos una una palabraDescubierta!
        //obterner la palabra a adivinar y la parabra descubierta al momento como
        //arreglo de caracteres
        char[] palabraChar = palabra.toCharArray();
        char[] palabraDescubiertaChar = palabraDescubierta.toCharArray();

        //por cada caracter en la palabra original, averiguar si dscubrimos un
        //nuevo caracter
        for (int k = 0; k < palabraChar.length; k++) {
            //Esta el caracter en la palabla a adivinar?  
            if (palabraChar[k] == caracter) {
                //descubrirlo!   
                palabraDescubiertaChar[k] = caracter;

            }

        }

        //regresar el arreglo con los descubrimientos
        return String.valueOf(palabraDescubiertaChar, 0, palabraDescubiertaChar.length);

    }

}
