package ahorcado;

import java.util.Scanner;

/**
 *
 * @author Andrés Mella Romero
 */
public class AhorcadoMain {

    public static void main(String[] args) {
        //crea una instancia de... Ahorcado
        Ahorcado ahorcado = new Ahorcado();
        //establecer la palabra a adivinar
        ahorcado.setPalabra("Hola");
        //este es mi número de intentos para adivinar
        int intentos = 4;
        //scanner... obtendra la entrada del teclado
        Scanner scanner = null;

        //obtener la palabra secreta, inicialmente contiene solo *
        String palabraSecreta = ahorcado.getSecret(null, Ahorcado.MASK_CHAR);
        //inprime la parabra sescreta
        System.out.println("Palabra sercreta: " + palabraSecreta);

        try {

            //instanciar el scanner que leerá del teclado
            scanner = new Scanner(System.in);

            //agotar los intentos
            for (int i = 0; i < intentos; i++) {
                //solicitar una letra 
                System.out.print("Letra: ");
                //solo necesitamos el primer caracter de la entrada
                char character = scanner.next().charAt(0);
                //obtener la nueva palabla con los caracteres descubiertos
                palabraSecreta = ahorcado.getSecret(palabraSecreta, character);
                //imprimir la nueva palabra
                System.out.println("Avance: " + palabraSecreta);
            }

            //agotamos los intentos y aún existen cracteres *?
            if (palabraSecreta.indexOf(Ahorcado.MASK_CHAR) >= 0) {
                //Uy no ganó
                System.out.println("Mejor suerte para la próxima");
            } else {
                //Tiene un diccionario en la cabeza!
                System.out.println("Suertudo!. Ganaste!!!");
            }

        } catch (Exception e) {

        } finally {
            if (null != scanner) {
                scanner.close();
            }
        }

    }
}
